{
  "$schema": "/etc/xdg/swaync/configSchema.json",
  "ignore-gtk-theme": true,
  "positionX": "right",
  "positionY": "top",
  "layer": "overlay",
  "control-center-layer": "top",
  "layer-shell": true,
  "layer-shell-cover-screen": false,
  "cssPriority": "highest",
  "control-center-margin-top": 5,
  "control-center-margin-bottom": 5,
  "control-center-margin-right": 5,
  "control-center-margin-left": 0,
  "notification-2fa-action": true,
  "notification-inline-replies": true,
  "notification-body-image-height": 100,
  "notification-body-image-width": 200,
  "timeout": 10,
  "timeout-low": 5,
  "timeout-critical": 0,
  "fit-to-screen": true,
  "relative-timestamps": true,
  "control-center-width": 500,
  "control-center-height": 600,
  "notification-window-width": 500,
  "keyboard-shortcuts": true,
  "notification-grouping": true,
  "image-visibility": "when-available",
  "transition-time": 200,
  "hide-on-clear": false,
  "hide-on-action": true,
  "text-empty": "No Annoyances",
  "script-fail-notify": true,
  "scripts": {
    "example-script": {
      "exec": "echo 'Do something...'",
      "urgency": "Normal"
    },
    "example-action-script": {
      "exec": "echo 'Do something actionable!'",
      "urgency": "Normal",
      "run-on": "action"
    }
  },
  "notification-visibility": {
    "example-name": {
      "state": "muted",
      "urgency": "Low",
      "app-name": "Spotify"
    }
  },
  "widgets": [
    "title",
    "buttons-grid",
    "volume",
    "inhibitors",
    "dnd",
    "notifications",
    "mpris"
  ],
  "widget-config": {
    "inhibitors": {
      "text": "Inhibitors",
      "button-text": "Purge",
      "clear-all-button": true
    },
    "title": {
      "text": "Kolinux v1.0",
      "clear-all-button": true,
      "button-text": "Purge notifications"
    },
    "dnd": {
      "text": "Don't bother"
    },
    "label": {
      "max-lines": 1,
      "text": "Kolinux 1.0"
    },
    "mpris": {
      "blacklist": [],
      "autohide": false,
      "show-album-art": "always",
      "loop-carousel": false
    },
    "buttons-grid": {
      "buttons-per-row": 7,
      "actions": [
        {
          "label": "󰘊",
          "type": "toggle",
          "active": true,
          "command": "sh -c '[[ $SWAYNC_TOGGLE_STATE == true ]] && nmcli radio wifi on || nmcli radio wifi off'",
          "update-command": "sh -c '[[ $(nmcli radio wifi) == \"enabled\" ]] && echo true || echo false'"
        },
        {
          "label": "󰂯",
          "type": "toggle",
          "command": "sh -c '[[ $SWAYNC_TOGGLE_STATE == true ]] && bluetoothctl power on || bluetoothctl power off'",
          "update-command": "sh -c \'bluetoothctl show | awk \\\"/Powered/ {print \\$2}\\\" | grep -q yes && echo true || echo false\'"
        },
         {
          "label": "󰦝",
          "type": "toggle",
          "command": "sh -c '[[ $SWAYNC_TOGGLE_STATE == true ]] && mullvad connect || mullvad disconnect'",
          "update-command": "sh -c '[[ $(mullvad status | grep -e Connected ) == \"Connected\" ]] && echo true || echo false'"
        }

      ]
    }
  }
}
